<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
			<tr>
                 <td style="width: 100%;">
				    <a href="{@HREF}"  class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				 </td>
                 <td align="right" style="padding-left: 5px">
				    <a href="{@HREF}"><img src="images/bullet2.gif" width="12" height="12" border="0" /></a></td>
             </tr>
            </xsl:when>
            
            
            <xsl:otherwise>
				<tr>
                 <td style="width: 100%;">
				    <a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
				 </td>
                 <td align="right" style="padding-left: 5px">
				   <a href="{@HREF}"><img src="images/bullet2.gif" width="12" height="12" border="0" /></a>
				 </td>
             </tr>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()">
			 <tr>
                 <td colspan="2" height="13"><div class="menu-hr" style="height:1px;"><span></span></div></td>
             </tr>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
