<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-16 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<center>
<table width="100%" height="100%" border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF">
<tr>
<td height="75" valign="top" bgcolor="#FFFFFF">
<table width="100%"  border="0" cellspacing="0" cellpadding="0" style="background-image: url('images/01_04.jpg'); background-repeat: repeat-x;">
	<tr>
	  <td width="500" height="75" align="right" style="background-image: url('images/88.gif'); background-repeat: repeat-x; background-position: bottom;">
	  	  <div style="width:480px;height:0 "></div>
	  </td>
	  <td width="100%" align="right" valign="bottom" background="images/77.gif" style="background-repeat: no-repeat; background-position: left bottom;">
<div style="width:75px;height:0 "></div>	  </td>
	  <td  width="165" align="left" style="background-image: url('images/01_04.jpg');background-repeat: no-repeat;">
	  <!-- LOGO -->
	  <table width="165" align="center" cellpadding="0" cellspacing="0">
      <tr>
        <td colspan="2" align="center"  height="10"></td>
      </tr>
      <tr>
        <td align="left" width="30"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a> </td>
        <td align="left"  width="135" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/> </td>
      </tr>
      <tr>
        <td align="center" class="slogan"></td>
        <td align="left" valign="top"  class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/> </td>
      </tr>
    </table>
		  <!-- END LOGO -->
		  </td>
	</tr>
</table>
</td>
<td width="46" align="left" valign="top" bgcolor="#FFFFFF" style="background-image: url('images/01_04.jpg'); background-repeat: repeat-x;"></td>
</tr>
<tr>
  <td height="258" valign="top" bgcolor="#F1F1F1"><table width="100%"  border="0" cellpadding="0" cellspacing="0" bgcolor="#FFFFFF"  class="0" >
    <tr>
      <td width="480" height="258" align="left" valign="middle" background="images/headerbg.jpg" style="background-position:right top;background-repeat: repeat-x;">
        <table width="100%" border="0" cellspacing="0" cellpadding="0">
          <tr>
		  <td width="480" height="258" align="left" valign="middle" background="images/header.jpg" style="padding-left:100;padding-bottom:36px;background-repeat: no-repeat;">
        <table width="200" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td width="4" bgcolor="#FFFFFF"><img src="images/spacer.gif" width="4" height="50" /></td>
            <td width="196" style="padding-left:10px;color:#FFFFFF;font-weight:bold;font-size:16pt;font-family: Tahoma, sans-serif;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
          </tr>
        </table>
		<div style="width:380px;height:1px"></div>
			</td>
          </tr>
        </table>
</td>
      <td width="100%"  align="right" valign="middle" background="images/01_08.jpg" style="padding-right:10;padding-bottom:36px; background-repeat: repeat-x;
		background-position: bottom;">
			<!-- MENU -->
            <table cellpadding="0" cellspacing="0" width="190">
            <xsl:call-template name="TOP-MENU"/>
          </table>
          <!-- END MENU -->
      </td>
      <td width="53" align="right" valign="bottom" background="images/01_08.jpg" style="background-repeat: repeat-x;
		background-position: bottom;" ><img src="images/01_11.jpg" width="53" height="36" alt="" /></td>
    </tr>
  </table></td>
  <td width="46" rowspan="2" align="left" valign="top" bgcolor="#F1F1F1"><IMG SRC="images/t01_06.jpg" WIDTH="44" HEIGHT="390" ALT="" /></td>
</tr>
<tr>
  <td height="100%" valign="top" bgcolor="#F1F1F1"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
    <tr>
      <td align="left" valign="top"><table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td align="right" valign="top" bgcolor="#FFFFFF"><IMG SRC="images/01_12.jpg" WIDTH="224" HEIGHT="49" ALT="" /></td>
          </tr>
          <tr>
            <td height="74" align="center" valign="top" bgcolor="#FFFFFF" style="padding: 10px 0;"><!-- SUBMENU -->
                <table cellpadding="0" cellspacing="0" width="75%" align="center">
                  <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
                </table>
                <!-- END SUBMENU -->
            </td>
          </tr>
          <tr>
            <td align="right" valign="top" bgcolor="#FFFFFF"><IMG SRC="images/01_16.jpg" WIDTH="224" HEIGHT="46" ALT="" /></td>
          </tr>
      </table></td>
      <td width="100%" height="100%" valign="top" style="padding: 25px;"><!-- CONTENT -->
          <table cellpadding="0" cellspacing="0" border="0">
            <tr>
              <td><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
              <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
            </tr>
          </table>
          <br/>
			<table border="0" cellspacing="0" cellpadding="0" width="100%">
			<tr>
				<td class="pageContent" name="SB_stretch" width="100%" valign="top">
				<xsl:apply-templates select="PAGE-CONTENT"/>
				</td>
			</tr>
			</table>
          <!-- END CONTENT -->
      </td>
    </tr>
  </table></td>
  </tr>
<tr>
  <td height="60" valign="middle" bgcolor="#F1F1F1" align="right" class="footer">
  <img src="images/w.gif" width="10" height="12" align="absmiddle" /><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
     </td>
  <td width="46" align="left" valign="top" bgcolor="#F1F1F1"></td>
</tr>
</table>
</center>
	</BODY>
</html>
</xsl:template>

<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		
        <tr>
		   <td class="asubmenu" style="padding-left: 5px; width: 100%;">
		     <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		   <td><img src="images/submenu_bullet.gif" width="9" height="16" border="0" /></td>
		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			 <tr>
			  <td style="padding-left: 5px; width: 100%;">
			     <a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a>
			  </td>
			  <td><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
		     </tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
		   <td colspan="2" height="20">
		     <div style="height:1px; background-color: #F2F2F2;"><span></span>
			  </div>
		     </td>
		  </tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
        </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
