<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
	        <xsl:when test="@ID=/LAYOUT/@ID" >
                <tr><td width="100%" class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td><td style="padding:5px;"><img src="images/2ndmenumarkactive.png" border="0" width="5" height="17" alt="" /></td></tr>
       			<xsl:if test="position()!=last()">
	                <tr><td height="1" colspan="2" bgcolor="#bbccdd"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
       			</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	                <tr><td width="100%" class="secondmenuitem"><a class="secondmenuitem" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td><td style="padding:5px;"><img src="images/2ndmenumark.png" border="0" width="5" height="17" alt="" /></td></tr>
        			<xsl:if test="position()!=last()">
		                <tr><td height="1" colspan="2" bgcolor="#bbccdd"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
       				</xsl:if>
   				</xsl:if>
    	    </xsl:otherwise>
        </xsl:choose>
	</xsl:template>

	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
   		<xsl:choose>
           <!-- active menu with link-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
					<td><a href="{@HREF}"><img src="images/markactive.png" border="0"  width="13" height="13"/></a></td>
					<td width="5"></td>
					<td class="menuitemactive2"><a href="{@HREF}" class="menuitemactive2"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            
            
            <xsl:otherwise>
					<td><a href="{@HREF}"><img src="images/mark.png" border="0"  width="13" height="13"/></a></td>
					<td width="5"></td>
					<td class="menuitem2"><a href="{@HREF}" class="menuitem2"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
	    </xsl:choose>
		<xsl:if test="position()!=last()"> 		
			<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
	</xsl:if>
	</xsl:template>	

</xsl:stylesheet>
