<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<table cellpadding="0" cellspacing="0"><tr>
			<td><img src="images/separator.gif"/></td>
			<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
		</tr></table>
	</xsl:template>
	
	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template> 


	<!--MENU-ITEM--> 

	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td  style="background : url('images/buttons-abg.gif') top left repeat-x;"><a href="{@HREF}" class="amenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td><img src="images/separator.gif"/></td>
			</xsl:when>
			<!-- when active-->
			
			<xsl:otherwise>
   				<td><a href="{@HREF}" class="menu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
   				<td><img src="images/separator.gif"/></td>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>
	
	
		<xsl:template match="MENU-ITEM" mode="bottom">
			<a href="{@HREF}" class="btmmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a><xsl:if test="position()!=last()"><img src="images/bullet_btm.gif" align="absmiddle" style="margin-top: 5px;"/></xsl:if>		
		</xsl:template>

</xsl:stylesheet>
