<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="sub">
		<xsl:apply-templates select="MENU-ITEM"  mode="sub"/>
	</xsl:template>
 
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template> 


	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="sub">
        <xsl:choose>
	        <xsl:when test="@ID=/LAYOUT/@ID" >
                <tr><td width="100%" class="secondmenuitemactive"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td><td style="padding:5px;"><img src="images/2ndmenumarkactive.png" border="0" width="5" height="17" alt="" /></td></tr>
       			<xsl:if test="position()!=last()">
	                <tr><td height="1" colspan="2" bgcolor="#bbccdd"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
       			</xsl:if>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	                <tr><td width="100%" class="secondmenuitem"><a class="secondmenuitem" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td><td style="padding:5px;"><img src="images/2ndmenumark.png" border="0" width="5" height="17" alt="" /></td></tr>
        			<xsl:if test="position()!=last()">
		                <tr><td height="1" colspan="2" bgcolor="#bbccdd"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td></tr>
       				</xsl:if>
   				</xsl:if>
    	    </xsl:otherwise>
        </xsl:choose>
	</xsl:template>


	<xsl:template match="MENU-ITEM" mode="top">
		<xsl:choose>
			<!-- when vizited inside-->
			<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
                <td style="padding:0px 10px 0px 10px;">
                 <table border="0" cellspacing="0" cellpadding="0"><tr>
                 <td><img src="images/markactiveleft.png" border="0" width="10" height="29" alt="" /></td>
                 <td class="menuitemactive3" nowrap="true" style="background-image: url('images/markactivebg.gif'); background-repeat: repeat-x;"><a class="menuitemactive3" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                 <td><img src="images/markactiveright.png" border="0" width="10" height="29" alt="" /></td>
                 </tr></table>
                </td>
			</xsl:when>
			<!-- when active-->
			
			<xsl:otherwise>
                <td style="padding:0px 10px 0px 10px;">
                 <table border="0" cellspacing="0" cellpadding="0">
                 <tr><td colspan="3" class="menuitem3"><a class="menuitem3" href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td></tr>
                 <tr>
                  <td><img src="images/markleft.png" border="0" width="5" height="5" alt="" /></td>
                  <td width="100%" style="background-image:url('images/markbg.gif')"><div style="width:1px; height:1px;"><spacer type="block" width="1" height="1" /></div></td>
                  <td><img src="images/markright.png" border="0" width="5" height="5" alt="" /></td>
                 </tr>
                 </table>
                </td>
			</xsl:otherwise>
		</xsl:choose>
	</xsl:template>


</xsl:stylesheet>
