<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<html>
<!-- eug-20 -->
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css" />
		</head>
<body style="margin:0px;" >
<center>
<table  border="0" cellpadding="0" cellspacing="0" class="main-bg" style="width:100%; height:100%; background-image:url(images/eug20_35.gif)">
	<tr>
	<td height="65" background="images/eug20_02.gif"  style="padding-left:40px">
	<div style="width:740px; height:1px"><span></span></div>
	<table  border="0" cellpadding="0" cellspacing="0">
	  <tr>
		<td width="5" ></td>			
		<xsl:call-template name="TOP-MENU"/>
		<td width="5" ></td>
		</tr>
	</table>
	</td>
	</tr>
   <tr>
     <td valign="top">
	   <table  border="0" cellspacing="0" cellpadding="0" width="100%">
         <tr>
           <td valign="middle"  background="images/header.jpg" ><div style="width:486px"><span></span></div>
               <table  border="0" cellspacing="0" cellpadding="0">
                 <tr>
                   <td style="padding-left:20px">
				   <table width="180"  border="0" cellpadding="0" cellspacing="0" bgcolor="#eeeeee">
                       <tr>
                         <td height="30" bgcolor="#FF6600" class="logoword"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
                       </tr>
                   </table></td>
                 </tr>
             </table></td>
           <td background="images/eug-20_03.gif" width="100%"></td>
           <td valign="bottom" background="images/eug-20_03.gif" ><div style="width:225; height:1"><span></span></div>
               <table width="100%" height="237"  border="0" cellpadding="0" cellspacing="0">
                 <tr>
                   <td align="center" valign="middle">
				   <table width="150"  border="0" cellspacing="0" cellpadding="0">
                       <tr>
                         <td><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td>
                       </tr>
                       <tr>
                         <td background="images/eug20_17.gif" class="company" style="padding:0 3px"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
                       </tr>
                       <tr>
                         <td><img src="images/eug20_19.gif" width="152" height="3"/></td>
                       </tr>
                   </table>
				   </td>
                 </tr>
                 <tr>
                   <td height="10"></td>
                 </tr>
                 <tr>
                   <td bgcolor="#FFFFFF" height="40"></td>
                 </tr>
             </table></td>
         </tr>
       </table></td>
   </tr>
   <tr>
     <td valign="top" width="100%" height="100%">
       <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
         <tr>
           <td width="100%" valign="top"  style="padding:80 20px 0 140px;" >
				 	<table cellpadding="0" cellspacing="0" border="0">
                     <tr>
                       <td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                       <td class="icon"><img src="images/eug20_29.gif" alt="" width="17" height="17" border="0"/></td>
                     </tr>
                   </table>
                     <br/>
					<table border="0" cellspacing="0" cellpadding="0" width="100%">
					<tr>
						<td class="pageContent" name="SB_stretch" width="100%" valign="top">
						<xsl:apply-templates select="PAGE-CONTENT"/>
						</td>
					</tr>
					</table>
				   <br/>
           </td>
           <td align="right" valign="top" style="padding-bottom:30px">
		<table width="186"  border="0" cellspacing="0" cellpadding="0">
               <tr>
                 <td bgcolor="#FFFFFF" style="padding:0 10px 0 20px" height="100" valign="top">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
                     <xsl:call-template name="SUB-MENU"> <xsl:with-param name="pageID" select="@ID"/> </xsl:call-template>
                 </table>
		</td>
               </tr>
               <tr>
                 <td><img src="images/eug20_33.gif" width="225" height="44"/></td>
               </tr>
           </table></td>
         </tr>
       </table>	 
	 </td>
   </tr>
   <tr>
        <td valign="top" background="images/eug20_35.gif" style="padding-left:58px ">
		<table width="100%"  border="0" cellspacing="0" cellpadding="0">
          <tr>
            <td width="55"><img src="images/eug20_39.gif" width="55" height="86"/></td>
            <td  bgcolor="#FF6600" class="copyright">
			<xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
			</td>
          </tr>
        </table>
	  </td>
   </tr>
</table>
</center>
</body>
	</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >   	
		<tr bgcolor="#FF6600">
               <td class="submenua" style="padding:10px 20px"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
		<td class="iconleft"><img src="images/eug20_26.gif" /></td>
        </tr>
		
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
     			<tr>
		<td class="submenua" style="padding:10px 20px"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                 <td class="iconleft"><img src="images/eug20_23.gif" /></td>
              </tr>
						</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
    	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		   </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
 		             </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
       		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
