<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
<xsl:output method="html" indent="no"/>
<xsl:strip-space elements="*"/>
	<!--MENU-->
	<xsl:template match="MENU" mode="top">
		<xsl:apply-templates select="MENU-ITEM"  mode="top"/>
	</xsl:template>
 
   				
	<!--MENU-ITEM-->
	<xsl:template match="MENU-ITEM"  mode="top">
	<xsl:variable name="position"><xsl:value-of select="position()" /></xsl:variable>
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
				<td><a href="{@HREF}"><img src="images/bullet2_sel.png" width="48" height="18" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}" style="text-decoration: underline;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
				<td><a href="{@HREF}"><img src="images/bullet2.png" width="48" height="18" border="0" alt=""/></a></td>
				<td width="5"></td>
				<td><a href="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
				<td width="30"><div style="width:5px; height:0px;"><span></span></div></td>
            </xsl:otherwise>
        </xsl:choose>
	</xsl:template>

	<xsl:template match="MENU-ITEM" mode="sub">
        <xsl:choose>
            <xsl:when test="@ID=/LAYOUT/@ID" >
  				<tr class="selected"><td width="150"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td><td class="raquo">>></td></tr>
            </xsl:when>
            <xsl:otherwise>
				<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
	  				<tr><td width="150"><A HREF="{@HREF}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></A></td><td class="raquo">>></td></tr>
				</xsl:if>
            </xsl:otherwise>
		</xsl:choose>
	</xsl:template>



</xsl:stylesheet>
